Subject: Re: [PATCH 53/61] 82xx: Set NOT_COHERENT_CACHE on 8272 with PCI.

From: David Gibson <[email-masked]>
Date: Wed, 18 Jul 2007 13:28:57 +1000

On Tue, Jul 17, 2007 at 08:36:11PM -0500, Scott Wood wrote:
> I've seen significant network corruption on a PCI network
> card (e1000) with the mpc8272ads; the corruption went away
> when I set CONFIG_NOT_COHERENT_CACHE.
> 
> Signed-off-by: Scott Wood <[email-masked]>

Hrm... I for one would be a lot more comfortable with this patch if
you had a theoretical explanation for why it's necessary, in addition
to the "seems to fix things".

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson